Bug 1994006 - meson 0.59.0 breaks bolt's test suit
Summary: meson 0.59.0 breaks bolt's test suit
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: meson
Version: 33
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Igor Raits
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-08-16 14:07 UTC by Christian Kellner
Modified: 2021-08-29 18:49 UTC (History)
4 users (show)

Fixed In Version: meson-0.59.0-2.fc34 meson-0.59.1-1.fc33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-08-20 01:20:58 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github mesonbuild meson issues 9047 0 None None None 2021-08-16 14:07:17 UTC

Description Christian Kellner 2021-08-16 14:07:17 UTC
meson 0.59.0 breaks bolt's test suite due to a bug in the `contains` function: https://github.com/mesonbuild/meson/issues/9047

The observed bolt failure are:

14/54 test-power                           FAIL             0.05s   killed by signal 6 SIGABRT
15/54 test-sysfs                           FAIL             0.05s   killed by signal 5 SIGTRAP
16/54 test-udev                            FAIL             0.05s   killed by signal 5 SIGTRAP

Comment 1 Adam Williamson 2021-08-17 18:55:12 UTC
I'm running builds for all branches with the patch backported right now:

https://koji.fedoraproject.org/koji/taskinfo?taskID=74025394
https://koji.fedoraproject.org/koji/taskinfo?taskID=74025402
https://koji.fedoraproject.org/koji/taskinfo?taskID=74025320
https://koji.fedoraproject.org/koji/taskinfo?taskID=74025323

will submit updates for F33 and F34 when the builds are done.

Comment 2 Adam Williamson 2021-08-17 19:11:25 UTC
Sigh. The F33 and F34 builds failed on a weird patching error. Something about this patch adding new empty files - possibly combined with the path name having spaces in it - is causing issues. I had to hand edit the patch before it would apply on F35 and Rawhide, and neither version of the patch applies on F33 or F34. Will fight this some more...

Comment 3 Fedora Update System 2021-08-18 15:13:04 UTC
FEDORA-2021-b0636558d3 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-b0636558d3

Comment 4 Fedora Update System 2021-08-19 01:42:24 UTC
FEDORA-2021-205b893967 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-205b893967`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-205b893967

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2021-08-19 01:52:02 UTC
FEDORA-2021-b0636558d3 has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-b0636558d3`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-b0636558d3

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2021-08-20 01:20:58 UTC
FEDORA-2021-205b893967 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 7 Fedora Update System 2021-08-22 01:00:44 UTC
FEDORA-2021-4bbfaee41e has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-4bbfaee41e`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-4bbfaee41e

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2021-08-29 18:49:23 UTC
FEDORA-2021-4bbfaee41e has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.